%define upstream_name Dist-Zilla-Util-ConfigDumper
%define upstream_version 0.003009

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 5

Summary:	Easy implementation of 'dumpconfig'
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Dist::Zilla::Plugin::Bootstrap::lib)
BuildRequires:	perl(Dist::Zilla::Util::Test::KENTNL)
BuildRequires:	perl(Eval::Closure)
BuildRequires:	perl(Package::DeprecationManager)
BuildRequires:	perl(Test::DZil)

BuildArch:	noarch

%description
Easy implementation of 'dumpconfig'.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.3.9-5.mga10
+ Revision: 2203861
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.3.9-4.mga9
+ Revision: 1809181
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.3.9-3.mga8
+ Revision: 1504355
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.3.9-2.mga7
+ Revision: 1283473
- Mageia 7 Mass Rebuild

* Fri Jul 21 2017 sander85 <sander85> 0.3.9-1.mga7
+ Revision: 1126007
- update to 0.003009

* Sun Jun 19 2016 pterjan <pterjan> 0.3.7-3.mga6
+ Revision: 1026765
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.3.7-2.mga6
+ Revision: 969058
- Mageia 6 Mass Rebuild

* Sat Aug 01 2015 sander85 <sander85> 0.3.7-1.mga6
+ Revision: 860331
- update to 0.003007

* Sat Jun 27 2015 sander85 <sander85> 0.3.6-1.mga6
+ Revision: 845797
- update to 0.003006

* Wed Oct 15 2014 umeabot <umeabot> 0.3.4-3.mga5
+ Revision: 749659
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 sander85 <sander85> 0.3.4-1.mga5
+ Revision: 670628
- update to 0.003004

* Sun Aug 31 2014 sander85 <sander85> 0.3.3-1.mga5
+ Revision: 669906
- update to 0.003003

* Thu Aug 28 2014 sander85 <sander85> 0.3.1-1.mga5
+ Revision: 669071
- update to 0.003001

* Sat Aug 23 2014 sander85 <sander85> 0.3.0-1.mga5
+ Revision: 666829
- imported package perl-Dist-Zilla-Util-ConfigDumper

